<?php

/**
 * mod_supportpanel
 *
 * @version 1.0
 * @author Creative Pulse
 * @copyright Creative Pulse 2009
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class ModSupportPanel {

	function instance_id($new = false) {
		static $num = 0;

		if ($new)
			$num++;
		else
			return $num;
	}

	function prepare(&$params) {
		$this->instance_id(true);

		$this->iname = $params->get('iname', '');
		if ($this->iname == '')
			$this->iname = 'supportpanel' . $this->instance_id();

		$this->html_static = $params->get('html_static', '');
		$this->html_hover_up = $params->get('html_hover_up', '');
		$this->html_hover_down = $params->get('html_hover_down', '');

		$document =& JFactory::getDocument();

		if ($this->instance_id() == 1) {
			$document->addScript('modules/mod_supportpanel/SupportPanel.js');

			$document->addScriptDeclaration('
function mod_supportpanel_init() {
	for (var i = 0, len = document["mod_supportpanel_conf"].length; i < len; i++) {
		var params = document["mod_supportpanel_conf"][i];
		document[params.iname] = new SupportPanel(params);
	}
}

if (window.addEventListener)
	window.addEventListener("load", mod_supportpanel_init, false);
else if (window.attachEvent)
	window.attachEvent("onload", mod_supportpanel_init);

document["mod_supportpanel_conf"] = new Array();

');
		}

		$document->addScriptDeclaration('
document["mod_supportpanel_conf"].push({
	iname: "' . $this->iname . '",
	static_width: ' . intval($params->get('static_width', 0)) . ',
	static_height: ' . intval($params->get('static_height', 0)) . ',
	hover_width: ' . intval($params->get('hover_width', 0)) . ',
	hover_height: ' . intval($params->get('hover_height', 0)) . ',
	orientation: "' . $params->get('orientation', '') . '",
	leave_interval: ' . intval($params->get('leave_interval', 0)) . ',
	interval: ' . intval($params->get('interval', 0)) . ',
	speed: ' . intval($params->get('speed', 0)) . ',
	offset_start: ' . intval($params->get('offset_start', 0)) . ',
	offset_end: ' . intval($params->get('offset_end', 0)) . ',
	opacity_start: ' . intval($params->get('opacity_start', 0)) . ',
	opacity_end: ' . intval($params->get('opacity_end', 0)) . ',
	shadow_offset_x: ' . intval($params->get('shadow_offset_x', 0)) . ',
	shadow_offset_y: ' . intval($params->get('shadow_offset_y', 0)) . ',
	shadow_max_opacity: ' . intval($params->get('shadow_max_opacity', 0)) . '
});
');
	}

}

?>