<?php

/**
 * EzHost - Joomla Template
 *
 * @package bt_ezhost
 * @version 1.0
 * @copyright BonusThemes.com 2009
 * @link http://www.bonusthemes.com/goto/bt_ezhost
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp;</td>' . "\n";
$topr1_tdgap = '<td width="1%" nowrap="nowrap" class="topr1_gap">&nbsp; &nbsp;</td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '

<style type="text/css">
#wrapper { width: ' . $tpl->width . 'px; }
</style>

<!--[if IE]>
<link href="' . $tpl->path . '/css/template_ie.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!--[if lt IE 7]>
<link href="' . $tpl->path . '/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>
<script type="text/javascript" src="' . $tpl->path . '/js/ExtCPanel.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<div id="wrapper">
';

if ($tpl->upper_exists) {
	echo '
<div class="page_tc"><div class="page_ml"><div class="page_mr"><div class="page_bc"><div class="page_tl"><div class="page_tr"><div class="page_bl"><div class="page_br">
	<div class="page_vgap"></div>
	<div class="page_mc">
		<div id="header_area">
';

	if ($tpl->modcount('icon') || $tpl->modcount('advert'))
		echo '
			<div class="bt_inner">
' . $tpl->get_positions(array('icon', 'advert'), '', true, true, '', $main_tdgap) . '
			</div>
';

	if (($tpl->modcount('icon') || $tpl->modcount('advert')) && $tpl->header_bottom)
		echo '
			<div id="header_line"></div>
';

	if ($tpl->header_bottom) {
		echo '
			<div class="bt_inner">
';

		if ($tpl->show_menu) {
			if ($tpl->modcount('cpanel'))
				echo '
				<table cellspacing="0" cellpadding="0" width="100%">
					<tr>
						<td valign="top">
';

			echo '
							<table cellspacing="0" cellpadding="0">
								<tr>
';

			for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
				$mi = &$tpl->menu_head_tags[$i];

				if ($i > 0)
					echo '
									<td> &nbsp; </td>
';

				printf('
									<td class="cmenu_hd_%1$s" height="27" id="%2$s">%3$s%4$s</td>
',
					$mi->selection == 0 ? 'norm' : 'sel',
					$mi->head_id,
					$mi->full_link,
					empty($mi->sub_menu_items) ? '' : ' <img src="' . $tpl->path . '/images/layout/menu_submenu.gif" alt="" />'
				);
			}

			echo '
								</tr>
							</table>
';

			if ($tpl->modcount('cpanel'))
				echo '
						</td>
						<td> &nbsp; </td>
						<td valign="top" ' . $tpl->td_width('cpanel', true) . '>
							<div id="cpanel_container"></div>
						</td>
					</tr>
				</table>
';
		}
		else {
			echo $tpl->get_positions(array('header', 'cpanel'), '', true, false, '', $main_tdgap);
		}

		echo '
			</div>
';
	}

	if ($tpl->modcount('toolbar1') || $tpl->modcount('toolbar2') || $tpl->modcount('toolbar3') || $tpl->modcount('toolbar4'))
		echo '
			<div class="toolbar_tc"><div class="toolbar_ml"><div class="toolbar_mr"><div class="toolbar_bc"><div class="toolbar_tl"><div class="toolbar_tr"><div class="toolbar_bl"><div class="toolbar_br">
				<div class="toolbar_topgap"></div>
				<div id="toolbar_area" class="toolbar_mc">
					<div style="height:1px;overflow:hidden"></div>
' . $tpl->get_positions(array('toolbar1', 'toolbar2', 'toolbar3', 'toolbar4'), '', true, false, '', $main_tdgap) . '
					<div style="height:1px;overflow:hidden"></div>
				</div>
				<div class="toolbar_bottomgap"></div>
			</div></div></div></div></div></div></div></div>
';

	if ($tpl->top_r1 || $tpl->top_r2 || $tpl->modcount('top9')) {
		echo '
			<div id="top_area">
';

		if ($tpl->top_r1)
			echo '
				<div id="spacer1"></div>
				<div class="bt_inner">
' . $tpl->get_positions(array('top1', 'top2', 'top3', 'top4'), '', true, true, '', $topr1_tdgap) . '
				</div>
';

		if ($tpl->top_r1 && $tpl->top_r2)
			echo '
				<div id="top_line"></div>
';

		if ($tpl->top_r2)
			echo '
				<div class="bt_inner">
' . $tpl->get_positions(array('top5', 'top6', 'top7', 'top8'), '', true, true, '', $main_tdgap) . '
				</div>
';

		if ($tpl->modcount('top9'))
			echo '
				<div id="spacer2"></div>
				<div class="bt_inner">
' . $tpl->get_position('top9') . '
				</div>
';

		echo '
			</div>
';
	}

	echo '
		</div>
	</div>
	<div class="page_vgap"></div>
</div></div></div></div></div></div></div></div>
<div id="spacer3"></div>
';
}

echo '
<div class="page_tc"><div class="page_ml"><div class="page_mr"><div class="page_bc"><div class="page_tl"><div class="page_tr"><div class="page_bl"><div class="page_br">
	<div class="page_vgap"></div>
	<div class="page_mc">
';

if ($tpl->modcount('breadcrumb') || $tpl->modcount('search')) {
	echo '
		<div id="breadcrumb_area">
			<div id="breadcrumb_area_top"></div>
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td>
' . $tpl->get_pathway() . '
					</td>
';

	if ($tpl->modcount('search'))
		echo '
					<td valign="top"' . $tpl->td_width('search', true) . '>
' . $tpl->get_position('search', false, false) . '
					</td>
';

	echo '
				</tr>
			</table>
		</div>
		<div id="breadcrumb_area_bottom"></div>
';
}

echo '
		<div id="main_l1"><div id="main_l2">
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr>
';

if ($tpl->modcount('left'))
	echo '
					<td id="left_area" valign="top"' . $tpl->td_width('left') . '>
' . $tpl->get_position('left') . '
					</td>
';

$colspan = 1;

if ($tpl->modcount('left') == 0)
	$colspan++;

if ($tpl->modcount('right') == 0)
	$colspan++;

$colspan = $colspan == 1 ? '' : ' colspan="' . $colspan . '"';

$rowspan = $tpl->bottom_exists && !$tpl->bottom_center ? ' rowspan="2"' : '';

echo '
					<td valign="top"' . $colspan . $rowspan . '>
' . $tpl->get_positions(array('newsflash'))
. $tpl->get_positions(array('news1', 'news2', 'news3'), '', true, true, '', $main_tdgap);

if ($tpl->show_body)
	echo '
						<div class="bt_inner">
							<div id="spacer4"></div>
'
. $tpl->get_message()
. $tpl->get_mainbody_wrapper() . '
							<div id="spacer5"></div>
						</div>
';

echo $tpl->get_positions(array('notice1', 'notice2', 'notice3'), '', false, true, '', $main_tdgap)
. $tpl->get_positions(array('banner')) . '
					</td>
';

if ($tpl->modcount('right'))
	echo '
					<td id="right_area" valign="top"' . $tpl->td_width('right') . '>
' . $tpl->get_position('right') . '
					</td>
';

echo '
				</tr>
';

if ($tpl->bottom_exists) {
	echo '
				<tr>
';

	if ($tpl->modcount('left_bottom'))
		echo '
					<td id="left_bottom_area" valign="top"' . $tpl->td_width('left_bottom') . '>
' . $tpl->get_position('left_bottom', true, false) . '
					</td>
';

	if ($tpl->bottom_center) {
		$colspan = 1;

		if ($tpl->modcount('left_bottom') == 0)
			$colspan++;

		if ($tpl->modcount('right_bottom') == 0)
			$colspan++;

		$colspan = $colspan == 1 ? '' : ' colspan="' . $colspan . '"';

		echo '
					<td valign="top"' . $colspan . ' id="bottom_area">
' . $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4'), '', true, false, '', $main_tdgap) . '
					</td>
';
	}

	if ($tpl->modcount('right_bottom'))
		echo '
					<td id="right_bottom_area" valign="top"' . $tpl->td_width('right_bottom') . '>
' . $tpl->get_position('right_bottom') . '
					</td>
';

	echo '
				</tr>
';
}

echo '
			</table>
		</div></div>
';

echo '
		<div id="footer_area">
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td width="11" valign="top"><img src="' . $tpl->path . '/images/layout/footer_l.gif" alt="" width="11" height="70" /></td>
';

if ($tpl->lshow)
	echo '
					<td width="50" valign="top" style="padding-top:15px;"><a id="lshow" href="http://joomla-temp.ru" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" border="0" alt="" /></a></td>
';

echo '
					<td>
						<div id="spacer6"></div>
' . $tpl->get_position('footer') . '
					</td>
					<td width="50" valign="top" align="right" style="padding-top:15px;"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>
					<td width="11" valign="top"><img src="' . $tpl->path . '/images/layout/footer_r.gif" alt="" width="11" height="70" /></td>
				</tr>
			</table>
		</div>
	</div>
	<div class="page_vgap"></div>
</div></div></div></div></div></div></div></div>

</div>

<div id="spacer7"></div>
';

foreach (array('cpanel', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_debug();

echo '
</body>
</html>
';

?>